solved : update-python-modules: error

Bagi yang mengalami error seperti ini di ubuntu :

<blockquote>Usage: update-python-modules [-v] [-c] package_directory [...]
update-python-modules [-v] [-c] package.dirs [...]
update-python-modules [-v] [-a|-f|-p]

update-python-modules: error: /usr/share/python-support/<em>ntfs-config.public</em> is not a directory
dpkg: error processing <em>ntfs-config</em> (--configure):
subprocess post-installation script returned error exit status 2
Errors were encountered while processing:
<em>ntfs-config</em>
E: Sub-process /usr/bin/dpkg returned an error code (1)</blockquote>

Itu juga terjadi pada saya, ketika melakukan install adium-ubuntu-theme. Pada yang cetak miring bisa terjadi apa saja nama aplikasinya. Error ini cukup mengganggu, karena menyebabkan tidak melakukan instalasi, update, upgrade.

Solusinya adalah :

Error tersebut karena membaca status dalam melakukan instalasi. Jadi, kita harus mengubah isi status dari instalasi. File status instalasi ada di :

/var/lib/dpkg/status

1. Backup terlebih dahulu :

# sudo cp /var/lib/dpkg/status /var/lib/dpkg/status.bad

2. Lalu edit file status tersebut, hapuslah aplikasi yang dinyatakan error tersebut.

3. save.

4. # sudo apt-get update

Dan seharusnya sudah kembali berjalan 🙂

Reblog this post [with Zemanta]

Mungkin Anda juga menyukai

Tinggalkan Balasan

Alamat surel Anda tidak akan dipublikasikan. Ruas yang wajib ditandai *